[project]
name = "dora-ulite6"
version = "0.1.0"
license = "MIT"
authors = [
  { name = "Dora" }
]
description = "Dora node for controlling the UFactory Lite6 robot"

requires-python = ">=3.8"

dependencies = [
  "dora-rs >= 0.3.9",
  "numpy < 2.0.0",
  "scipy >= 1.14.0",
  "xarm-python-sdk >= 1.17.3",
  "fastapi >= 0.109.0",
  "uvicorn >= 0.27.0",
]

[dependency-groups]
dev = ["pytest >=8.1.1", "ruff >=0.9.1"]

[project.scripts]
dora-ulite6 = "dora_ulite6.main:main"

[tool.setuptools]
packages = ["dora_ulite6"]
